Skip to main content
GET
cURL

Query Parameters

serviceName
string

Service name filter

environment
enum<string>

Environment filter Deployment environments

Available options:
development,
testing,
staging,
production,
preview,
canary
status
enum<string>

Status filter Deployment status

Available options:
pending,
in_progress,
success,
failed,
rolled_back,
cancelled
startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)